List Custom Entity Definitions
curl --request GET \
--url https://integration.getmateo.com/api/v1/custom_entity_definition \
--header 'Authorization: Bearer <token>'import requests
url = "https://integration.getmateo.com/api/v1/custom_entity_definition"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://integration.getmateo.com/api/v1/custom_entity_definition', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"name": "<string>",
"schema": {}
}
]Custom Entity Definition
List Custom Entity Definitions
Retrieve a list of custom entity definitions
List Custom Entity Definitions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Custom entity definition ID
Creation date
Latest update
Organisation ID
Unique key for the custom entity definition
Name of the custom entity definition
JSON Schema defining the custom entity data structure
Filtering Columns
Ordering. Allowed Fields: created_at, updated_at
Limiting and Pagination
Limiting and Pagination
Response
200 - application/json
OK
Custom entity definition ID
Creation date
Latest update
Organisation ID
Unique key for the custom entity definition
Name of the custom entity definition
JSON Schema defining the custom entity data structure